Subject: Re: Git build on antique PowerMac

From: SZEDER Gábor <[email-masked]>
Date: Sun, 5 May 2019 22:14:52 +0200

On Sun, May 05, 2019 at 03:42:45PM -0400, Jeffrey Walton wrote:
> I have a PowerMac I use for testing. It provides several testing
> differentiators, like OS X 10.5, Bash 3.2, GCC 4.0.1, Apple cc-tools
> linker, and big-endian PowerPC. (I think Gentoo provides a Linux image
> for the hardware, but I don't use it).
> 
> The Git libraries and programs build fine out of the box. They also
> seem to work as expected once installed.
> 
> The pain point is the self self tests, which I have never been able to
> build (or execute). I'd like to close this gap.
> 
> make -C templates  SHELL_PATH='/bin/sh' PERL_PATH='/usr/bin/perl'
> : no custom templates yet
> make -C t/ all
> rm -f -r 'test-results'
> readline() on unopened filehandle       test_must_fail
> run_sub_test_lib_test  at check-non-portable-shell.pl line 34.
> Modification of a read-only value attempted at
> check-non-portable-shell.pl line 34.
> make[1]: *** [test-lint-shell-syntax] Error 255

You could try:

  make -C t all TEST_LINT=

That error comes from one of the "lint" targets that are supposed to
catch some common errors that we repeatedly made in our tests.  This
linter is enabled by default, but this command disables it.

Yeah, it's not the proper solution, but I would think that you don't
need them on that antique PowerMac anyway.